Configuring Options
| Chapter 3. Using eSvn |

## Configuring Options

To configure preferences for eSvn use the Options option. The `Options` dialog provides tabbed forms, as described below, to set global preferences and parameters.

General tab

Programs

  Specifies default application preferences for the following:

  - Subversion - Enter the command to execute subversion commands (default: svn).

  - Editor - Enter the command to execute any text editor (default: kwrite).

  - Viewer - Enter the command to execute any viewer (default: [internal])

  - Diff - Enter the command to execute any two-way diff application (default: kdiff3).

  - Diff-3 - Enter the command to execute any three-way diff application (default: kdiff3).

    A list of diff applications that can be used with eSvn is listed in Appendix A.

  - Browser - Enter the name of an installed Web Browser.

  eSvn provides macros that enable modification of the titles on diff panes add -fname a1 f1 -fname a2 f2 to the kdiff3 command e.g. kdiff3 -fname a1 f1 -fname a2 f2. Before executing the external diff, eSvn will translate `f1` and `f2` to file names (first and second) and `a1` and `a2` to file aliases (like 'working copy', 'revision 123'). The modified string of parameters are then passed to the diff application together with the any arguments supplied in the Extensions field provided by the `Diff` dialog (see the section called “Diff”).

Double-click action

  Associate one of the following behaviors with double-click actions performed in the file view.

  - Cat - displays the contents of the last revision in the repository for the selected item in the internal eSvn viewer application (see the section called “View (cat)”).

  - Edit - execute and open selected working copy resource in the external editor specified by the `Editor` field.

  - Open - execute and open selected working copy resource in the external editor specified by the `File Mapping` form

Show directories is file list

  Toggles display of folders in the File View ON/OFF.

External diff default

  When checked uses the external diff application defined in the eSvn options, otherwise uses the internal diff viewer.

Hide unknown files

  Toggles behavior for display of files with status "- unknown-" shown in the File View between hidden (checked)/unhidden (unchecked).

Update after commit

  Forces an update on directory revision numbers after commit operations.

Show changed paths

  Toggles highlight of changed paths ON/OFF.

Fonts tab

Default

  Specifies the font used as default throughout eSvn.

View

  Specifies the font used to format content displayed in eSvn's internal Viewer application.

Output

  Specifies the font used to format the content of the Output Log pane.

Files/dir list

  Specifies the font used to format text properties contained with the Tree and File View panes.

Quick diff

  Specifies the font used to format content displayed in eSvn's internal Diff application.

Command

  Specifies the font used in the Command pane.

File Mapping tab

For File Mappings to work the `Open` option must be selected from the General tab, Double-click options group.

Extensions

  Lists the file extension associated with the Action.

Action

  List the action associated with the Extension.

New

  Displays the `Edit file mapping` dialog used to specify the Extension and Action values for a new file mapping.

Edit

  Displays the `Edit file mapping` dialog used to edit the Extension and Action values of a selected file mapping.

Delete

  Removes the selected file mapping.

Other tab

Restrictions

  - Disable change "svn:value" properties - ???

  - Disable commit to tag - ???

  - Disable symlinks - Disables showing of symlinks in File and Folder panels.

Log

  Select a logging method:

  - Regular - Only display svn related messages (default).

  - Verbose (debug) - Display eSvn background messages.

Status refresh

  Select a status method to refresh the workspace, options include:

  - Online - automatically refreshes in sync with repository.

  - Manual - user intervention required (default).

  - Auto refresh - automatically refreshes at a specified interval (default 30 seconds).

Authentication

  - Username - The `username` part of the subversion server authentication details.

  - Password - The `password` part of the subversion server authentication details.

Exporting a Folder System |  | Refresh Operations